import React, { Component } from 'react';
import { DrawerNavigator, StackNavigator, TabNavigator } from 'react-navigation';

import HomeScreen from './../screens/HomeScreen';
import CameraScreen from './../screens/CameraScreen';
import PreviewPhotoScreen from './../screens/PreviewPhotoScreen';
import SettingsScreen from './../screens/SettingsScreen';
import MedicationsScreen from './../screens/MedicationsScreen';
import SignInScreen from './../screens/SignInScreen';
import MainScreen from './../screens/MainScreen';
import SettingsTimePeriod from './../screens/SettingsTimePeriod'
import ReminderDetail from './../screens/ReminderDetail'

const RootNavigator = StackNavigator(
  {
    Home: {
      screen: TabNavigator({
        Home: {
          screen: StackNavigator({
            Home: {
              screen: HomeScreen
            },
            Detail: {
              screen: ReminderDetail
            }
          }, {
              headerMode: 'none'
            })
        },
        Camera: {
          screen: StackNavigator({
            Camera: {
              screen: CameraScreen,
            },
            PreviewPhoto: {
              screen: PreviewPhotoScreen,
            }
          }, {
              headerMode: 'none'
            }),
        },
        Medications: {
          screen: MedicationsScreen
        },
        Settings: {
          screen: StackNavigator({
            Settings: {
              screen: SettingsScreen
            },
            SettingsTime: {
              screen: SettingsTimePeriod
            }
          }, {
              headerMode: 'none'
            })
        }
      }, {
          tabBarPosition: 'bottom',
          swipeEnabled: false,
          tabBarOptions: {
            labelStyle: {
              color: 'black'
            },
            style: {
              backgroundColor: 'white',

            }
          }
        })
    },
    SignIn: {
      screen: SignInScreen,
    },
  }, {
    headerMode: 'none'
  }
)

export default RootNavigator;